<%@ page isELIgnored="false" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core"  prefix="c" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>

<h2>Assoziation "${requestScope.Association.name}" beitreten</h2>

<c:if test="${not empty requestScope.AssociationRoles}">
	<ul>
		<c:forEach items="${requestScope.AssociationRoles}" var="rb">
			<li> Rolle
				<c:choose>
					<c:when test="${not empty rb.role.type}">
						"<html:link action="topicview?id=${rb.role.type.id}">${rb.role.name}</html:link>"
					</c:when>
					<c:otherwise>
						ohne Typ
					</c:otherwise>
				</c:choose>
				<c:if test="${not empty rb.topics}">
					<ul>
						<c:forEach items="${rb.topics}" var="t">
							<li> Topic "<html:link action="topicview?id=${t.id}">${t.name}</html:link>" </li>
						</c:forEach>
					</ul>
				</c:if>
			</li> 
		</c:forEach>
	</ul>

	<hr>
	
	<p>&nbsp;</p>
</c:if>


<div class="FORMULAR">

	<html:errors/>

	<html:form action="joinassociation">
		<p>Topic "<html:link action="topicview?id=${requestScope.Topic.id}">${requestScope.Topic.name}</html:link>" mit folgender Rolle hinzuf&uuml;gen:</p>

		<div class="FLOATNOTE">
			ConsensusFoundation erlaubt beliebige Typen f&uuml;r die Rollen einer Assoziation,
			aber in dieser Beispielanwendung wird die Auswahl auf alle Obertypen des Topics
			zzgl. aller bereits vorhandenen Rollen der Assoziation beschr&auml;nkt.
		</div>

		<p> <html:radio property="topicroleid" value=""> keine </html:radio>
		<c:forEach items="${requestScope.RoleTypes}" var="i">
			<br> <html:radio property="topicroleid" value="${i.id}"> ${i.name} </html:radio>
		</c:forEach>

		<html:hidden property="topicid" />
		<html:hidden property="associd" />

		<hr>

		<p><html:submit>Hinzuf&uuml;gen</html:submit>
	</html:form>
	
</div>
