<%@ page isELIgnored="false" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core"  prefix="c" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>

<h2>Neue Assoziation anlegen</h2>
<p>(f&uuml;r Topic "<html:link action="topicview?id=${requestScope.Topic.id}">${requestScope.Topic.name}</html:link>")</p>

<div class="FORMULAR">

	<html:errors/>

	<div class="FLOATNOTE">
		In dieser Beispielanwendung werden die 10 zuletzt angesehenen Topics als m&ouml;gliche Typen angeboten.
		Denkbar w&auml;re aber auch, dass eine Anwendung eine spezielle Liste mit Assoziations-Typen verwaltet.
	</div>

	<html:form action="createassociation" focus="assocname">
		<p>Typ der Assoziation:
		<br> <html:radio property="assoctypeid" value=""> keiner </html:radio>
		<c:if test="${not empty sessionScope.LastTopics}">
			<c:forEach items="${sessionScope.LastTopics}" var="i">
				<br> <html:radio property="assoctypeid" value="${i.id}"> ${i.name} </html:radio>
			</c:forEach>
			<br> Hinweis: Wenn Sie oben einen Typ ausw&auml;hlen, sollten Sie unten <em>keinen</em> Namen eintragen,
			da dieser dann automatisch vom Typ-Topic &uuml;bernommen wird.
		</c:if>
		
		<p>Name der Assoziation:
		<br><html:text property="assocname"/> (optional)

		<div class="FLOATNOTE">
			ConsensusFoundation erlaubt beliebige Typen f&uuml;r die Rollen einer Assoziation,
			aber in dieser Beispielanwendung wird die Auswahl auf alle Obertypen des Topics
			beschr&auml;nkt.
		</div>

		<p>Rolle des Topics "${requestScope.Topic.name}":
		<br> <html:radio property="topicroleid" value=""> keine </html:radio>
		<c:forEach items="${requestScope.RoleTypes}" var="i">
			<br> <html:radio property="topicroleid" value="${i.id}"> ${i.name} </html:radio>
		</c:forEach>

		<html:hidden property="topicid" />

		<hr>

		<p><html:submit>Anlegen</html:submit>
	</html:form>
	
</div>
