<%@ page isELIgnored="false" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core"  prefix="c" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>

<h2>Neues Attribut anlegen</h2>
<p>(f&uuml;r Topic "<html:link action="topicview?id=${requestScope.Topic.id}">${requestScope.Topic.name}</html:link>")</p>

<div class="FORMULAR">

	<html:errors/>

	<div class="FLOATNOTE">
		In dieser Beispielanwendung werden die 10 zuletzt angesehenen Topics als m&ouml;gliche Typen angeboten.
		Denkbar w&auml;re aber auch, dass eine Anwendung eine spezielle Liste mit Attributs-Typen verwaltet.
	</div>

	<html:form action="createattribute" focus="attrname">
		<p>Typ des Attributs:
		<br> <html:radio property="attrtypeid" value=""> keiner </html:radio>
		<c:if test="${not empty sessionScope.LastTopics}">
			<c:forEach items="${sessionScope.LastTopics}" var="i">
				<br> <html:radio property="attrtypeid" value="${i.id}"> ${i.name} </html:radio>
			</c:forEach>
		</c:if>
		
		<p><bean:message key="attrform.attrname"/>:
		<br><html:text property="attrname"/>

		<p><bean:message key="attrform.attrvalue"/>:
		<br><html:text property="attrvalue"/>

		<html:hidden property="topicid" value="${requestScope.Topic.id}"/>

		<hr>

		<p><html:submit>Anlegen</html:submit></p>
	</html:form>
	
</div>
