package de.uka.ipd.consensus.foundation.schema;

import java.io.Serializable;

/**
 * This is a mixin interface for elements that can be created by a user.
 * @author Thomas Much
 * @version 2006-06-14
 */
public interface Createable extends Serializable {

	/**
	 * Returns the user that created this element.
	 * @return the User object
	 */
	public User getCreator();

}
