<%@ page isELIgnored="false" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core"  prefix="c" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt"   prefix="fmt" %>

<div class="FLOATMENU">
	Anzahl der Topics: ${requestScope.TopicCount}
	<br>Anzahl der Assoziationen: ${requestScope.AssociationCount}
</div>

<p>Hallo ${sessionScope.User.firstname} ${sessionScope.User.lastname}!</p>

<p>Ihr Punktestand betr&auml;gt zur Zeit <fmt:formatNumber value="${sessionScope.User.score}" minFractionDigits="2"/></p>

<p><html:link action="newtopic">Neues Topic anlegen</html:link></p>

<p>&nbsp;</p>


<h2>Topic-Suche</h2>

<div class="FORMULAR">
	<html:errors/>

	<html:form action="topicsearch" focus="suchbegriff">
		<p><bean:message key="homeform.searchtopic"/>: <html:text property="suchbegriff"/>
		&nbsp;<html:submit><bean:message key="homeform.submit"/></html:submit></p>
		<p><html:radio property="wo" value="nurname"><bean:message key="homeform.searchname"/></html:radio>
		&nbsp;<html:radio property="wo" value="auchbeschreibung"><bean:message key="homeform.searchdescription"/></html:radio></p>
	</html:form>
</div>

<p>&nbsp;</p>


<h2>Dokumentation</h2>

<p><html:link href="doc/index.html">Javadoc</html:link></p>

<p>&nbsp;</p>


<h2>Versionen</h2>

<table border="0">
<tr> <td>ConsensusFoundation-Framework:</td> <td>${applicationScope.ConsensusFoundation.version}</td> </tr>
<tr> <td>Logging-Manager:</td> <td>${applicationScope.ConsensusFoundation.loggingManager.version}</td> </tr>
<tr> <td>User-Manager:</td> <td>${applicationScope.ConsensusFoundation.userManager.version}</td> </tr>
<tr> <td>Ontology-Manager:</td> <td>${applicationScope.ConsensusFoundation.ontologyManager.version}</td> </tr>
<tr> <td>&nbsp;&nbsp;Query-Engine:</td> <td>${applicationScope.ConsensusFoundation.ontologyManager.queryEngine.version}</td> </tr>
<tr> <td>Evolution-Manager:</td> <td>${applicationScope.ConsensusFoundation.evolutionManager.version}</td> </tr>
<tr> <td>Rating-Manager:</td> <td>${applicationScope.ConsensusFoundation.ratingManager.version}</td> </tr>
<tr> <td>Incentive-Manager:</td> <td>${applicationScope.ConsensusFoundation.incentiveManager.version}</td> </tr>
<tr> <td>DynamicRights-Manager:</td> <td>${applicationScope.ConsensusFoundation.dynamicRightsManager.version}</td> </tr>
</table>
