<%@ page isELIgnored="false" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core"  prefix="c" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt"   prefix="fmt" %>

<div class="FLOATMENU">
	<html:link action="newtopic">Neues Wurzel-Topic anlegen</html:link>
</div>

<h2>Hierarchie der Topic-Instanzen</h2>

<c:choose>
	<c:when test="${not empty requestScope.Topics}">
		<ul>
		<c:forEach items="${requestScope.Topics}" var="tb">
			<li> <html:link action="topicview?id=${tb.topic.id}">${tb.topic.name}</html:link>
			<c:if test="${not empty tb.instances}">
				<ul>
				<c:forEach items="${tb.instances}" var="i1">
					<li> <html:link action="topicview?id=${i1.topic.id}">${i1.topic.name}</html:link>
					<c:if test="${i1.typeInstance.ratingsCount > 0}">
						<jsp:include page="/WEB-INF/content/rating.jsp">
							<jsp:param name="wert" value="${i1.typeInstance.averageRatingValue}"/>
						</jsp:include>
					</c:if>
					<c:if test="${not empty i1.instances}">
						<ul>
						<c:forEach items="${i1.instances}" var="i2">
							<li> <html:link action="topicview?id=${i2.topic.id}">${i2.topic.name}</html:link>
							<c:if test="${i2.typeInstance.ratingsCount > 0}">
								<jsp:include page="/WEB-INF/content/rating.jsp">
									<jsp:param name="wert" value="${i2.typeInstance.averageRatingValue}"/>
								</jsp:include>
							</c:if>
							<c:if test="${not empty i2.instances}">
								<ul> <li>...</li> </ul>
							</c:if>
							</li>
						</c:forEach>
						</ul>
					</c:if>
					</li>
				</c:forEach>
				</ul>
			</c:if>
			</li>
		</c:forEach>
		</ul>
	</c:when>
	<c:otherwise>
		<p>Keine Wurzel-Topics gefunden.</p>
	</c:otherwise>
</c:choose>

<br clear="all">

<div class="FLOATNOTE">
	Hinweis zu den &#x2205;-Bewertungen: Die Werte liegen im Bereich von -1 (Ablehnung) bis +1 (Zustimmung), jeweils inklusive.
	Diese Beispielanwendung gibt die rohe Zahl aus, andere Anwendungen k&ouml;nnten dies z.B. in Prozentangaben umrechnen.
	Fehlt die Angabe bei einem Topic, wurde das Topic bisher noch nicht bewertet.<br>
	Der Wert hinter einem Topic gibt die Bewertung der Instanz-Beziehung zum Typ dar&uuml;ber an!
</div>

<br clear="all">
