<%@ page isELIgnored="false" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core"  prefix="c" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt"   prefix="fmt" %>

<p><html:link action="topiclist">Alle</html:link>&nbsp;
<c:forTokens items="A,B,C,D,E,F,G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X,Y,Z" delims="," var="i">
-<html:link action="topiclist?letter=${i}">&nbsp;${i}&nbsp;</html:link>
</c:forTokens>
</p>

<hr>

<div class="FLOATMENU">
	<html:link action="newtopic">Neues Topic anlegen</html:link>
</div>

<h2>Topic-Liste<c:if test="${not empty requestScope.TopicSearch}">: "${requestScope.TopicSearch}"</c:if></h2>

<c:choose>
	<c:when test="${not empty requestScope.Topics}">
		<ul>
		<c:forEach items="${requestScope.Topics}" var="i">
			<li> <html:link action="topicview?id=${i.id}">${i.name}</html:link>
			<c:if test="${i.ratingsCount > 0}">
				<jsp:include page="/WEB-INF/content/rating.jsp">
					<jsp:param name="wert" value="${i.averageRatingValue}"/>
				</jsp:include>
			</c:if>
		</c:forEach>
		</ul>
	</c:when>
	<c:otherwise>
		<p>Keine passenden Topics gefunden.</p>
	</c:otherwise>
</c:choose>

<br clear="all">

<div class="FLOATNOTE">
	Hinweis zu den &#x2205;-Bewertungen: Die Werte liegen im Bereich von -1 (Ablehnung) bis +1 (Zustimmung), jeweils inklusive.
	Diese Beispielanwendung gibt die rohe Zahl aus, andere Anwendungen k&ouml;nnten dies z.B. in Prozentangaben umrechnen.
	Fehlt die Angabe bei einem Topic, wurde das Topic bisher noch nicht bewertet.<br>
	Der Wert hinter dem Topic gibt die Bewertung des Topics selbst an!
</div>

<br clear="all">
