package de.snailshell.consensus.demo;

/**
 * @author Thomas Much
 * @version 2006-06-14
 */
public class Constants {

	public static final String MAPPING_SUCCESS                  = "Success";
	public static final String MAPPING_FAILURE                  = "Failure";
	public static final String MAPPING_WARNING                  = "Warning";

	public static final String SESSION_ATTR_USER                = "User";
	public static final String SESSION_ATTR_LASTASSOCIATION     = "LastAssociation";
	public static final String SESSION_ATTR_LASTTOPICS          = "LastTopics";

	public static final String CONTEXT_ATTR_CONSENSUSFOUNDATION = "ConsensusFoundation";
	
	public static final String REQUEST_ATTR_MESSAGE             = "Message";
	public static final String REQUEST_ATTR_ERRORS              = "Errors";

	public static final String REQUEST_ATTR_TOPIC               = "Topic";
	public static final String REQUEST_ATTR_TOPICS              = "Topics";
	public static final String REQUEST_ATTR_TOPICCOUNT          = "TopicCount";
	public static final String REQUEST_ATTR_TOPICTYPES          = "TopicTypes";
	public static final String REQUEST_ATTR_TOPICINSTANCES      = "TopicInstances";
	public static final String REQUEST_ATTR_TOPICASSOCIATIONS   = "TopicAssociations";
	public static final String REQUEST_ATTR_TOPICSEARCH         = "TopicSearch";

	public static final String REQUEST_ATTR_ASSOCIATION         = "Association";
	public static final String REQUEST_ATTR_ASSOCIATIONCOUNT    = "AssociationCount";
	public static final String REQUEST_ATTR_ASSOCIATIONROLES    = "AssociationRoles";
	public static final String REQUEST_ATTR_ASSOCIATIONSOFTYPE  = "AssociationsOfType";

	public static final String REQUEST_ATTR_ATTRIBUTE           = "Attribute";
	public static final String REQUEST_ATTR_ATTRIBUTES          = "Attributes";
	
	public static final String REQUEST_ATTR_OCCURRENCES         = "Occurrences";

	public static final String REQUEST_ATTR_SYNONYMS            = "Synonyms";

	public static final String REQUEST_ATTR_RATING              = "Rating";
	public static final String REQUEST_ATTR_RATINGS             = "Ratings";
	public static final String REQUEST_ATTR_RATINGHISTORY       = "RatingHistory";

	public static final String REQUEST_ATTR_ENGINEERROR         = "EngineError";
	public static final String REQUEST_ATTR_ENGINERESULTS       = "EngineResults";

	public static final String REQUEST_ATTR_USER                = "User";

	public static final String REQUEST_ATTR_ROLETYPES           = "RoleTypes";

}
